=== debian/changelog ===
linux-ftpd (0.17-35) unstable; urgency=low

  * Interchange maintainer and uploader.
  * Update Standards to 3.9.6.
    + debian/rules: Add missing targets build-arch, build-indep.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * debian/rules: Use the same build flags CDEFS and LDDEFS as is in
    use by the variant linux-ftpd-ssl.
  * debian/postinst: Mistyped informational text. (Closes: #741111)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 14:31:44 +0200

linux-ftpd (0.17-34) unstable; urgency=low

  * Drop unneeded libcrypt linking:
    + debian/patches/040-refine_config.diff: New file.
  * Support GNU/Hurd:
    + debian/patches/044-support_gnu_hurd.diff: New file.
    + debian/control: Mention GNU/Hurd in package description.
  * Activate hardening flags. Suggested by Moritz Muehlenhoff.
    + debian/rules: Use 'dpkg-buildflags'. (Closes: #656005)
  * Bump Standards to 3.9.3.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 30 Mar 2012 00:54:44 +0200

linux-ftpd (0.17-33) unstable; urgency=low

  * Correct implementation of EPSV for IPv4.
    + debian/patches/020-support_ipv6.diff: Updated file.
  * [lintian] Addition of DEP-3 header:
    + debian/patches/030-manpage_typos.diff: Description added.
  * debian/control: Spelling of 'kFreeBSD'.
  * Bumped Standards to 3.9.1.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 06 Apr 2011 22:34:30 +0200

linux-ftpd (0.17-32) unstable; urgency=low

  * Fixed minor typos in ftpd.8.
  * Renamed patches to avoid future clashes with linux-ftpd-ssl.
  * Bumped Standards to 3.9.0

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 08 Jul 2010 13:28:07 +0200

linux-ftpd (0.17-31) unstable; urgency=low

  [Mats Erik Andersson]

  * debian/control: Expanded description.
  * debian/copyright: Added explicit license for the two IPv6-patches.
  * Describe effects of recent changes on three inetd-servers.
    + debian/NEWS: Short text addition.
    + debian/README.Debian: Added an extended discussion.
  * FTBFS GNU/kfreebsd, GNU/Hurd:
    * debian/patches/26-support_glibc_bsd_and_gnu.diff: New file.
  * debian/{postinst,prerm}: Use option '--multi' with 'update-inetd'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 20:05:34 +0200

linux-ftpd (0.17-30) unstable; urgency=low

  * Migration to format "3.0 (quilt)".
    + Identified source code patches:
    + debian/patches/01-from_hamm.diff
    + debian/patches/02-from_sarge.diff
    + debian/patches/03-from_etch.diff
    + debian/patches/10-ftpd_csrf.diff
  * Standard 3.8.4, debhelper compatibility 7:
    + Using dh_prep.
  * debian/control:
    + Build depend includes ${misc:Depends} and 'debhelper (>= 7).
    + Source homepage stanza pointing to download site.
  * debian/watch: New file.
  * debian/postinst: Suppress error message if '/etc/inetd.conf' is missing.
    + Print a hint to the example xinetd configuration, if applicable.
  * debian/ftpd.examples:
    + debian/ftpd.xinetd: Configuration for use with xinetd.
  * Prepare migration to IPv6 support:
    + debian/rules: Use compiler flag '-fno-strict-aliasing'.
    + debian/patches/14-adjust_infrastruct.diff: New file.
    + debian/patches/16-family_independence.diff: New file.
  * Implement active IPv6 support: (Closes: #580251)
    + debian/patches/20-support_ipv6.diff: New file.
    + debian/NEWS: New file.
    + debian/README.Debian: A short explanation is added.
  * Uninitialized va_list causes segmentation faults on amd64:
    + debian/patches/24-failing_va_list.diff: New file.
  * [lintian] maintainer-script-without-set-e:
    + debian/{preinst,prerm,postinst,postrm} modified.
  * [lintian] debian-rules-ignores-make-clean-error:
    + debian/rules modified.
  * agi: Added Mats Erik Andersson as Uploader.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 09 May 2010 16:17:20 +0200

linux-ftpd (0.17-29) unstable; urgency=high

  * Ian Beckwith:
    - Patch to fix cross-site request forgery (CSRF) attacks.
      CVE-2008-4247 (Closes: #500278)
  * Updated package description. (Closes: #493433)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 Oct 2008 20:34:17 +0200

linux-ftpd (0.17-28) unstable; urgency=low

  * Patch postrm/postinst files to handle update-inetd better.
    Thanks Ian Beckwith for the patch. (Closes: #482912)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 17:13:19 +0200

linux-ftpd (0.17-27) unstable; urgency=low

  * Ignore missing ../MCONFIG in clean target. (Closes: #436720)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 08 Aug 2007 20:49:22 +0200

linux-ftpd (0.17-26) unstable; urgency=low

  * Removed Depends on update-inetd, since it should be provided by
    inetd-superserver.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 07 Aug 2007 18:02:11 +0200

linux-ftpd (0.17-25) unstable; urgency=low

  * Condition the call to update-inetd in postrm. (Closes: #416745)
  * Moved netbase dependency to openbsd-inetd | inet-superserver.
  * Added Depends on update-inetd
  * Moved to debhelper compat 4. (Removed debian/conffiles)
  * Bumped Standards-Version to 3.7.2.2. No change

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 31 Mar 2007 19:43:37 +0200

linux-ftpd (0.17-24) unstable; urgency=low

  * pam.d/ftpd. Updated PAM configuration to used common-* files.
    Thanks a lot Pierre Gaufillet for the patch (Closes: #308651)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 14 Dec 2006 12:14:53 +0100

linux-ftpd (0.17-23) unstable; urgency=high

  * Urgency set due to security fix.
  * Corrected typo in patch used in previous upload that
    made the server run some commands with EGID 'root'.
    Thanks to Matt Power (for finding out) and 
    Stefan Cornelius from Gentoo (for warning me).

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 25 Nov 2006 18:54:59 +0100

linux-ftpd (0.17-22) unstable; urgency=high


