=== debian/watch ===
version=3
http://ftp.uk.linux.org/pub/linux/Networking/netkit/linux-ftpd-([.0-9]+)\.tar\.gz	debian	uupdate
